% Aikapisteet:
T = [0; 1; 2; 3; 4; 10; 12; 18];
t = [min(T); max(T)];

% Mittaustulokset:
y = [5.71; 9; 15; 19; 20; 45; 55; 78]; 

% Visualisoidaan mittaukset
plot(T, y, 'kx', 'MarkerSize', 10);

% a -kohta
A = T;
a = t;
xhat = (A'*A)\A'*y;
yhat = a*xhat;
hold on;
plot(t, yhat, 'b');
hold off

% b -kohta
A = [T, ones(size(T, 1), 1)];
a = [t, [1; 1]];
xhat = (A'*A)\A'*y;
yhat = a*xhat;
hold on;
plot(t, yhat, 'r');
hold off

legend('Mittausdata',...
    'Estimaatti',...
    'Estimaatti alkutilalla',...
    'Location', 'SouthEast')
